<?php
/******************************
 * Lake Sumter Community College
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id:$
 *
 ******************************/
 
//prevent caching
header("Expires: 0"); 
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); 
header("cache-control: no-store, no-cache, must-revalidate"); 
header("Pragma: no-cache");


//connect our custom exception handler function
set_exception_handler('exception_handler');


//our database credentials
$UID = "xxxxxxxxx";
$PW  = "xxxxxxxxx";

//construct the proper connection string for the database type and connection method
$dsn = "odbc:DSN=websvr;HOSTNAME=LSCC-BBLSDB;PORT=1433;DBNAME=websvr;PROTOCOL=TCPIP;UID=$UID;PWD=$PW;";

//include the script for our database class
include("pdodb.php");

//declare and initialize our database
$db = new pdodb($dsn);

//delete all rows
$db->query("delete from test");
//$db->query("delete from test2");






//insert some data
echo $db->query("insert into test values (56233455,'1234',345)")." Row(s) Inserted.<br>";


//do a select query
$stmt = $db->query("select * from test");
//itterate through the statements
while ($row = $db->fetch_obj($stmt))
{
	//were using the object method which is more efficient - no copied memory
	echo $row->id."|".$row->data1."|".$row->data2."|".$row->data3."<br>";
}

//release the db resources
$db->free($stmt);

//close the db
if ($db->closeDb())echo"db closed<br>";else echo "db failed to close<br>";

//uncomment this and you will get an exception halting the script
//echo $db->query("insert into test values ('123412asd',1234)")."Rows Inserted.";

//reconnect to the db
if ($db->connect($dsn)) echo "db connected<br>"; else echo "db failed to connect<br>";

//insert another row
echo $db->query("insert into test values (5678855,'1234',78544)")." Row(s) Inserted.<br>";



//prepare a statement
$stmt = $db->prepare("insert into test ( data1,data2,data3 ) values ( ?,?,? )");
//loop through and execute this prepared statement many times
for ($i = 1;$i < 11;$i++)
{
	$db->execute($stmt,array($i*2,$i*3,$i*4));
	echo "execute() $i<br>";
}



//do a select query
$stmt = $db->query("select * from test");
$db->bindColumn( $stmt, 'id', $id ); //by column name
$db->bindColumn( $stmt, 2, $data1 ); //by 1-indexed id
$db->bindColumn( $stmt, 'data2', $data2 );
$db->bindColumn( $stmt, 'data3', $data3 );
while ($db->fetch_bound($stmt))
{
	echo "$id|$data1|$data2|$data3<br>";
}



//see the stuff we did
echo "<pre style='background-color:#f1f1f1'>"; print_r($db->getSQLStrings()); echo "</pre>";


//see the database attributes
echo "<pre style='background-color:#f1f1f1'>"; print_r($db->getAttributes()); echo "</pre>";

/**
 * Outputs the exception and halts the script
 */
function exception_handler($exception) {
  echo "Uncaught exception: " , $exception->getMessage(), "\n";
}



?> 